java.security.interfaces

## Interface RSAKey

- All Known Subinterfaces:
    RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey, RSAPrivateKey, RSAPublicKey

      public interface RSAKey

  The interface to an RSA public or private key.
  Since:
    1.3
  See Also:
    `RSAPublicKey`, `RSAPrivateKey`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getModulus()` Returns the modulus.

- - ### Method Detail

    - #### getModulus

          BigInteger getModulus()

      Returns the modulus.
      Returns:
        the modulus

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.